Skip to main content
POST
/
api
/
v1
/
external
/
companies
/
{companyId}
/
configuration
/
export
Export Configuration
curl --request POST \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/configuration/export \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "spreadsheetId": "1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms",
  "googleOAuthToken": "ya29.a0AfH6SM..."
}
'
{
  "spreadsheetId": "1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms",
  "spreadsheetUrl": "https://docs.google.com/spreadsheets/d/1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json

Request body for FMV1 configuration spreadsheet operations

spreadsheetId
string
required

The ID of the target Google Spreadsheet

googleOAuthToken
string
required

A valid Google OAuth2 access token with Google Sheets access permission

Response

Configuration exported successfully

Result of exporting FMV1 configuration to a Google Spreadsheet

spreadsheetId
string
required

The ID of the spreadsheet that was written to

spreadsheetUrl
string
required

Direct URL to the spreadsheet